# HYMOG Data River Rhine V0.2 25.10.2017
#
# reading Rhine Water Data Files
#
#-----------------------------------------------
# set the system environment to English -> personal notebook has German UI 
Sys.setlocale("LC_TIME", "English") # Windows
Sys.setenv(LANG="EN") #
Sys.setenv(TZ='UTC') # Timezone UTC
# load library zoo
#
library(zoo)

setClass("Water_Ts",representation(name="character", 
                                   unit="character",
                                   rawdata="data.frame",
                                   timeseries="zoo"))
h_RO       = new("Water_Ts")
h_RO@name  = "water level" 	
h_RO@unit  =  "cm"
q_RO       = new("Water_Ts")
q_RO@name  = "discharge" 	
q_RO@unit  =  "m**3/s"
h_WL       = new("Water_Ts")
h_WL@name  = "water level" 	
h_WL@unit  =  "cm"
q_WL       = new("Water_Ts")
q_WL@name  = "discharge" 	
q_WL@unit  =  "m**3/s"


#
# reading files 
#
Q_Ruhrort <- read.fwf(file = "HYMOG_End_Ruhrort-Rhein_Q_01h.uvf",skip = 12, header=F, dec=".", stringsAsFactors=F, widths= c(10,10)) 
Q_Ruhrort[,1] = as.POSIXct(strptime(sprintf("%2.2d %s %s %s %s",-(as.integer(substr(Q_Ruhrort[,1],1,2))%/%89)*100+2000+as.integer(substr(Q_Ruhrort[,1],1,2)) ,substr(Q_Ruhrort[,1],3,4),substr(Q_Ruhrort[,1],5,6),substr(Q_Ruhrort[,1],7,8),substr(Q_Ruhrort[,1],9,10)),"%Y %m %d %H"))
q_RO@timeseries <- read.zoo(Q_Ruhrort[,1:2])
q_RO@rawdata <- Q_Ruhrort


H_Ruhrort <- read.fwf(file = "HYMOG_End_Ruhrort-Rhein_W_01h.uvf",skip = 13, header=F, dec=".", stringsAsFactors=F, widths= c(10,10)) 
H_Ruhrort[,1] = as.POSIXct(strptime(sprintf("%2.2d %s %s %s %s",-(as.integer(substr(H_Ruhrort[,1],1,2))%/%89)*100+2000+as.integer(substr(H_Ruhrort[,1],1,2)) ,substr(H_Ruhrort[,1],3,4),substr(H_Ruhrort[,1],5,6),substr(H_Ruhrort[,1],7,8),substr(H_Ruhrort[,1],9,10)),"%Y %m %d %H"))
h_RO@timeseries <- read.zoo(H_Ruhrort[,1:2])
h_RO@rawdata <- H_Ruhrort

Q_Wesel <- read.fwf(file = "HYMOG_End_Wesel-Rhein_Q_01h.uvf",skip = 12, header=F, dec=".", stringsAsFactors=F, widths= c(10,10)) 
Q_Wesel[,1] = as.POSIXct(strptime(sprintf("%2.2d %s %s %s %s",-(as.integer(substr(Q_Wesel[,1],1,2))%/%89)*100+2000+as.integer(substr(Q_Wesel[,1],1,2)) ,substr(Q_Wesel[,1],3,4),substr(Q_Wesel[,1],5,6),substr(Q_Wesel[,1],7,8),substr(Q_Wesel[,1],9,10)),"%Y %m %d %H"))
q_WL@timeseries <- read.zoo(Q_Wesel[,1:2])
q_WL@rawdata <- Q_Wesel

H_Wesel <- read.fwf(file = "HYMOG_End_Wesel-Rhein_W_01h.uvf",skip = 13, header=F, dec=".", stringsAsFactors=F, widths= c(10,10)) 
H_Wesel[,1] = as.POSIXct(strptime(sprintf("%2.2d %s %s %s %s",-(as.integer(substr(H_Wesel[,1],1,2))%/%89)*100+2000+as.integer(substr(H_Wesel[,1],1,2)) ,substr(H_Wesel[,1],3,4),substr(H_Wesel[,1],5,6),substr(H_Wesel[,1],7,8),substr(H_Wesel[,1],9,10)),"%Y %m %d %H"))
h_WL@timeseries <- read.zoo(H_Wesel[,1:2])
h_WL@rawdata <- H_Wesel



